Subject: bug#56567: [BUG] Gnome doesn't recognize applications path for flatpak

From: Liliana Marie Prikler <[email-masked]>
Date: Mon, 18 Jul 2022 08:13:17 +0200

Am Sonntag, dem 17.07.2022 um 06:03 +0000 schrieb Jacob Hrbek:
> Why is making a user configuration saner in comparison to making it
> work out of the box?
Because in this instance "making it work out of the box" entails
statefulness that most Guix users would typically like to avoid.  Plus,
we are not talking about a very complicated setup here, it's one line
of shell code to drop into your .bash_profile or similar:

export
$XDG_DATA_DIRS="$HOME/.local/share/flatpak/exports/share:$XDG_DATA_DIRS
"

Now granted, if you wanted to account for the fact that XDG_DATA_DIRS
could be empty on some systems (some foreign distros rely on the
implicit default), then you'd have to code around that, but that's
again not within the scope of Guix System.